Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class RSAKeyPair

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.RSAKeyPair`

All Implemented Interfaces:
  oracle.security.xmlsec.keys.KeyValueData

public class RSAKeyPair
extends oracle.security.xmlsec.util.XMLElement
implements oracle.security.xmlsec.keys.KeyValueData

XKMS KeyValue class for RSA keys.

A `RSAKeyPair` consists of an RSA modulus and public exponent.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RSAKeyPair(org.w3c.dom.Document owner)` Creates a new `RSAKeyPair` instance.
`RSAKeyPair(org.w3c.dom.Document owner, oracle.security.crypto.core.KeyPair rsaKeyPair)` Creates a new `RSAKeyPair` instance.
`RSAKeyPair(org.w3c.dom.Document owner, oracle.security.crypto.core.RSAPrivateKey privKey, oracle.security.crypto.core.RSAPublicKey pubKey)` Creates a new `RSAKeyPair` instance.
`RSAKeyPair(org.w3c.dom.Element element)` Creates a new `RSAKeyPair` instance from the given Element node.
`RSAKeyPair(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `RSAKeyPair` instance from the given Element node.

Method Summary
`java.math.BigInteger` | `getD()` Returns the Private Exponent of this `RSAKeyPair`.
`java.math.BigInteger` | `getDP()` Returns the Prime Exponent of P (d mod (p-1)) of this `RSAKeyPair`.
`java.math.BigInteger` | `getDQ()` Returns the Prime Exponent of Q (d mod (q-1)) of this `RSAKeyPair`.
`java.math.BigInteger` | `getExponent()` Returns the public exponent of this `RSAKeyPair`.
`java.math.BigInteger` | `getInverseQ()` Returns the CRT Coefficient of this `RSAKeyPair`.
`java.math.BigInteger` | `getModulus()` Returns the modulus of this `RSAKeyPair`.
`java.math.BigInteger` | `getP()` Returns the prime P of this `RSAKeyPair`.
`oracle.security.crypto.core.PrivateKey` | `getPrivateKey()` Get the Private Key.
`oracle.security.crypto.core.PublicKey` | `getPublicKey()` Get the Public Key.
`java.math.BigInteger` | `getQ()` Returns the prime Q of this `RSAKeyPair`.
`java.lang.String` | `getType()`
`void` | `setD(java.math.BigInteger exponent)` Sets the Private Exponent element of this `RSAKeyPair`, replacing any existing Private Exponent element.
`void` | `setDP(java.math.BigInteger exponent)` Sets the Prime Exponent of P (d mod (p-1)).- DQ element of this `RSAKeyPair`, replacing any existing DQ element.
`void` | `setDQ(java.math.BigInteger exponent)` Sets the Prime Exponent of Q (d mod (q-1)).- DQ element of this `RSAKeyPair`, replacing any existing DQ element.
`void` | `setExponent(java.math.BigInteger exponent)` Sets the Exponent element of this `RSAKeyPair`, replacing any existing Exponent element.
`void` | `setInverseQ(java.math.BigInteger exponent)` Sets the CRT Coefficient element of this `RSAKeyPair`, replacing any existing Coefficient element.
`void` | `setModulus(java.math.BigInteger modulus)` Sets the Modulus element of this `RSAKeyPair`, replacing any existing Modulus element.
`void` | `setP(java.math.BigInteger exponent)` Sets the prime P - P element of this `RSAKeyPair`, replacing any existing P element.
`void` | `setQ(java.math.BigInteger exponent)` Sets the prime Q - Q element of this `RSAKeyPair`, replacing any existing Q element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyPair

    public RSAKeyPair(org.w3c.dom.Element element)
               throws org.w3c.dom.DOMException

  Creates a new `RSAKeyPair` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS RSAKeyPair schema.
Throws:
  `org.w3c.dom.DOMException`

### RSAKeyPair

    public RSAKeyPair(org.w3c.dom.Element element,
                      java.lang.String systemId)
               throws org.w3c.dom.DOMException

  Creates a new `RSAKeyPair` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS RSAKeyPair schema.
  `systemId` - The URI string system ID for this element.
Throws:
  `org.w3c.dom.DOMException`

### RSAKeyPair

    public RSAKeyPair(org.w3c.dom.Document owner)
               throws org.w3c.dom.DOMException

  Creates a new `RSAKeyPair` instance.
Parameters:
  `owner` - The owner document of the new `RSAKeyPair`.
Throws:
  `org.w3c.dom.DOMException`

### RSAKeyPair

    public RSAKeyPair(org.w3c.dom.Document owner,
                      oracle.security.crypto.core.KeyPair rsaKeyPair)
               throws org.w3c.dom.DOMException

  Creates a new `RSAKeyPair` instance.
Parameters:
  `owner` - The owner document of the new `RSAKeyPair`.
  `rsaKeyPair` - A `com.phaos.crypto.KeyPair`.
Throws:
  `org.w3c.dom.DOMException`

### RSAKeyPair

    public RSAKeyPair(org.w3c.dom.Document owner,
                      oracle.security.crypto.core.RSAPrivateKey privKey,
                      oracle.security.crypto.core.RSAPublicKey pubKey)
               throws org.w3c.dom.DOMException

  Creates a new `RSAKeyPair` instance.
Parameters:
  `owner` - The owner document of the new `RSAKeyPair`.
  `privKey` - A `com.phaos.crypto.PrivateKey`.
  `pubKey` - A `com.phaos.crypto.PublicKey`.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setModulus

    public void setModulus(java.math.BigInteger modulus)
                    throws org.w3c.dom.DOMException

  Sets the Modulus element of this `RSAKeyPair`, replacing any existing Modulus element.
  Parameters:
    `modulus` - The modulus of the RSA key.
  Throws:
    `org.w3c.dom.DOMException`

### getModulus

    public java.math.BigInteger getModulus()

  Returns the modulus of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the modulus.

### setExponent

    public void setExponent(java.math.BigInteger exponent)
                     throws org.w3c.dom.DOMException

  Sets the Exponent element of this `RSAKeyPair`, replacing any existing Exponent element.
  Parameters:
    `exponent` - The public exponent of the RSA public key.
  Throws:
    `org.w3c.dom.DOMException`

### getExponent

    public java.math.BigInteger getExponent()

  Returns the public exponent of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the exponent.

### setP

    public void setP(java.math.BigInteger exponent)
              throws org.w3c.dom.DOMException

  Sets the prime P - P element of this `RSAKeyPair`, replacing any existing P element.
  Parameters:
    `exponent` - The prime P of the RSA key.
  Throws:
    `org.w3c.dom.DOMException`

### getP

    public java.math.BigInteger getP()

  Returns the prime P of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the prime P.

### setQ

    public void setQ(java.math.BigInteger exponent)
              throws org.w3c.dom.DOMException

  Sets the prime Q - Q element of this `RSAKeyPair`, replacing any existing Q element.
  Parameters:
    `exponent` - The prime Q of the RSA key.
  Throws:
    `org.w3c.dom.DOMException`

### getQ

    public java.math.BigInteger getQ()

  Returns the prime Q of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the prime Q.

### setDP

    public void setDP(java.math.BigInteger exponent)
               throws org.w3c.dom.DOMException

  Sets the Prime Exponent of P (d mod (p-1)).- DQ element of this `RSAKeyPair`, replacing any existing DQ element.
  Parameters:
    `exponent` - The prime exponentof P of the RSA key.
  Throws:
    `org.w3c.dom.DOMException`

### getDP

    public java.math.BigInteger getDP()

  Returns the Prime Exponent of P (d mod (p-1)) of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the prime exponent of P.

### setDQ

    public void setDQ(java.math.BigInteger exponent)
               throws org.w3c.dom.DOMException

  Sets the Prime Exponent of Q (d mod (q-1)).- DQ element of this `RSAKeyPair`, replacing any existing DQ element.
  Parameters:
    `exponent` - The prime exponent of Q of the RSA key.
  Throws:
    `org.w3c.dom.DOMException`

### getDQ

    public java.math.BigInteger getDQ()

  Returns the Prime Exponent of Q (d mod (q-1)) of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the prime exponent of Q.

### setInverseQ

    public void setInverseQ(java.math.BigInteger exponent)
                     throws org.w3c.dom.DOMException

  Sets the CRT Coefficient element of this `RSAKeyPair`, replacing any existing Coefficient element.
  Parameters:
    `exponent` - The CRT Coefficient of the RSA key.
  Throws:
    `org.w3c.dom.DOMException`

### getInverseQ

    public java.math.BigInteger getInverseQ()

  Returns the CRT Coefficient of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the CRT coefficient.

### setD

    public void setD(java.math.BigInteger exponent)
              throws org.w3c.dom.DOMException

  Sets the Private Exponent element of this `RSAKeyPair`, replacing any existing Private Exponent element.
  Parameters:
    `exponent` - The Private Exponent of the RSA private key.
  Throws:
    `org.w3c.dom.DOMException`

### getD

    public java.math.BigInteger getD()

  Returns the Private Exponent of this `RSAKeyPair`.
  Returns:
    The BigInteger value of the private exponent.

### getPrivateKey

    public oracle.security.crypto.core.PrivateKey getPrivateKey()

  Get the Private Key.
  Returns:
    A `com.phaos.crypto.RSAPrivateKey`.

### getPublicKey

    public oracle.security.crypto.core.PublicKey getPublicKey()

  Get the Public Key.
  Specified by:
    `getPublicKey` in interface `oracle.security.xmlsec.keys.KeyValueData`
  Returns:
    A `RSAPublicKey`.

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `oracle.security.xmlsec.keys.KeyValueData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.